#!/usr/bin/python
# -*- utf-8 -*-

import sys
import osm.parse
import osm.net
import osm.dot

if __name__ == '__main__':
    startnode = int(sys.argv[2])

    parser = osm.parse.OsmParser()
    f = file(sys.argv[1], 'r')
    parser.parseFile(f)
    f.close()

    nodes, edges = osm.net.buildNet(parser, startnode)

    osm.dot.osmNetToParser(sys.stdout, nodes, edges)


